<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
$set['title']='Признания в любви';
include_once 'sys/inc/thead.php';
title();
aut();
only_reg();
$ank['id']=$user['id'];
if (isset($_GET['id']) && is_numeric($_GET['id']))$ank['id']=intval($_GET['id']);
$check=mysql_num_rows(mysql_query("select * from `love_wall` where `ank_id`='".$ank['id']."' and `user_id`='$user[id]';"));


    if (isset($_POST['msg']) && $check==0 && isset($user))
    {
    $priv=(isset($_POST['privat']) && $_POST['privat']==1?'hide':'all');
    $msg=my_esc(trim($_POST['msg']));
    if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
    if (strlen2($msg)<2)$err[]='Короткое признание';
    if ($ank['id']==$user['id'])echo '<div class="err">Слишком любите себя?</div>';
    $mat=antimat($msg);
    if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;
    
	if (!isset($err)){

    mysql_query("INSERT INTO  `love_wall` (`user_id`, `user_nick`, `ank_id`, `msg`, `time`, `type`) values ('".$user['id']."', '".$user['nick']."', '".$ank['id']."', '".$msg."', '".$time."', '".$priv."');");

    msg('Признание успешно отправлено');

	}
    
	}
	
err();

if (isset($_GET['del']) && ($user['group_access']>10 || $ank['id']==$user['id']) && mysql_result(mysql_query("select count(`id`) from `love_wall` where `ank_id`='".$ank['id']."' and `id`='".intval($_GET['del'])."' limit 1;"),0)==1)
{
mysql_query("delete from `love_wall` where `id`='".intval($_GET['del'])."'");
if (!mysql_error())header("location: /love_wall.php?id=$ank[id]");
}

$nfa=($user['group_access']>10 || $ank['id']==$user['id']?"":"and `type`='all'");
$k_post=mysql_result(mysql_query("select count(*) from `love_wall` where `ank_id`='".$ank['id']."' $nfa;"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("select * from `love_wall` where `ank_id`='".$ank['id']."' $nfa limit $start,$set[p_str];");
echo '<div class="p_m">Признание только один раз! '.($user['group_access']>10 || $ank['id']==$user['id']?'':'Вы не можете просматривать приватные признания!').'<br /> Признаний ('.$k_post.')</div>';

  $i=1;


 while ($lovers = mysql_fetch_array($q))
 
 {
 
 echo '<div class="'.($i%2?"str":"foot").'"><a href="/info.php?id='.$lovers['user_id'] . '">'.$lovers['user_nick'] . '</a>'.($lovers['type']=='hide'?'<span style="color:red"> [приватно] </span>':'').'(' . vremja($lovers['time']) . ')'.($user['group_access']>10 || $ank['id']==$user['id'] ?'<span style="float:right">[<a href="?id='.$lovers['ank_id'].'&amp;del='.$lovers['id'].'" title="Удалить">x</a>]</span>':'').'<br />'.output_text($lovers['msg']).'</div>';
 
 $i++;
 
 }

 
      if ($k_page>1)str('?id='.$ank['id'].'&amp;',$k_page,$page); // Вывод страниц

      echo '<form method="post" action="?id='.$ank['id'].'">';
      if ($user['set_translit']==1)echo "<input type=\"checkbox\" name=\"translit\" value=\"1\" /> Транслит";
      echo ' <input type="checkbox" name="privat" value="1" /> Приватно<br />Текст признания:<br /><textarea name="msg"></textarea><br /><input type="submit" value="признатся" '.($check>0?'disabled="disabled"':'').'/></form>';
      echo '<div class="foot">&raquo;<a href="/info.php?id='.$ank['id'].'">В анкету </a></div>';
      include_once 'sys/inc/tfoot.php';
?>
